<div ng-include = "'html/navbarAdmins.html'"></div>
<div class = "container" style = "margin-top:100px">
   <h1>Restorani</h1>
    <table class="table table-hover">
        <tr>
            <td>
                <input type="text"  placeholder="*Naziv" class="form-control" ng-model="restaurantInput.rsName" required/>
            </td>
            
            <td>
                <input type="text"  placeholder="Mesto" class="form-control" ng-model="restaurantInput.rsTown"/>
            </td>
            <td>
                <input type="text"  placeholder="Adresa" class="form-control" ng-model="restaurantInput.rsAddress"/>
            </td>
            <td>
                <textarea type="text"  placeholder="Opis" rows = "5" class="form-control" ng-model="restaurantInput.rsDesc"></textarea>
            </td>
             <td ng-if = "state !== 'update'">
                <input type="button" value="Dodaj" class="btn btn-primary"  ng-click = "addRestaurant();">
            </td>
            <td>
                <input type="button" value="Izmeni" class="btn btn-primary" ng-if = "state === 'update'" ng-click = "updateRestaurant();">
            </td>
             <td>
                <input type="button" value="Poništi" class="btn btn-primary" ng-if = "state === 'update'" ng-click = "cancelUpdate();">
            </td>
        </tr>
        <tr></tr>
        <tr></tr>
        <tr>
            <th>Oznaka</th>
            <th>Naziv</th>
            <th>Mesto</th>
            <th>Adresa</th>
            <th>Opis</th>
            <th>Prosečna ocena</th>
            <th></th>
            <th></th>
        </tr>

        <tbody>
        <tr ng-repeat="restaurant in restaurants">
            <td>
                                    <span>
                                      {{ restaurant.rsId }}
                                    </span>
            </td>
           
            <td>
                                    <span>
                                      {{ restaurant.rsName }}
                                    </span>
            </td>
            <td>
                                    <span>
                                        {{restaurant.rsTown}}
                                    </span>
            </td>
            <td>
                                    <span >
                                        {{restaurant.rsAddress}}
                                    </span>
            </td>
            <td>
                                    <span>
                                        {{restaurant.rsDesc}}
                                    </span>
            </td>
            <td>
                                    <span>
                                        {{restaurant.rsAvggrade}}
                                    </span>
            </td>
            <td><input type="button" value="Izmeni" class="btn btn-warning" ng-click = "prepareRestaurantUpdate($index);"></td>
            <td><input type="button" value="Obrisi" class="btn btn-danger" ng-click = "deleteRestaurant($index);"></td>
        </tr>
        </tbody>
    </table>
</div>